Subject: bug#18303: closed (Re: bug#18303: Drag and Drop fails when Emacs window/frame is above top)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 07 Sep 2014 17:34:02 +0000

Your bug report

#18303: Drag and Drop fails when Emacs window/frame is above top

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
18303: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=18303
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#18303: Drag and Drop fails when Emacs window/frame is above top
From: Jan Djärv <[email-masked]>
To: Paulie Pena IV <[email-masked]>, [email-masked]
Date: Sun, 07 Sep 2014 19:32:57 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Den 2014-08-20 14:50, Paulie Pena IV skrev:
> If my Emacs window is above the top of my screen (which is how I usually have
> it since I don't care about the title bar, etc.), I cannot drag a file onto
> the top part of the Emacs window/frame. If I try to, I get this error:
> Not an in-range integer, float, or cons of integers
>
> I traced the problem to the "XdndPosition" cond in x-dnd-handle-xdnd, which
> calls x-send-client-message. The "list-to-send" variable has a negative y
> value, which it gets from x-dnd-get-drop-x-y. I think the way to fix this is
> to change x-send-client-message so it accepts negative x/y values, but I'm not
> sure if that's correct.

This has been fixed in the trunk.  x-send-client-message accepted negative x, 
but did not accept negative y.

	Jan D.

Subject: Drag and Drop fails when Emacs window/frame is above top
From: Paulie Pena IV <[email-masked]>
To: [email-masked]
Date: Wed, 20 Aug 2014 08:50:03 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

If my Emacs window is above the top of my screen (which is how I usually
have it since I don't care about the title bar, etc.), I cannot drag a file
onto the top part of the Emacs window/frame. If I try to, I get this error:
Not an in-range integer, float, or cons of integers

I traced the problem to the "XdndPosition" cond in x-dnd-handle-xdnd, which
calls x-send-client-message. The "list-to-send" variable has a negative y
value, which it gets from x-dnd-get-drop-x-y. I think the way to fix this
is to change x-send-client-message so it accepts negative x/y values, but
I'm not sure if that's correct.

Thanks,
Paulie